:root {
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;

  color-scheme: light dark;
  color: rgba(255, 255, 255, 0.87);
  background-color: #242424;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
}

a {
  font-weight: 500;
  color: #646cff;
  text-decoration: inherit;
}

a:hover {
  color: #535bf2;
}

body {
  background: #ffa919;
}

.bg-primary-1 {
  background-color: #ffa919;
}

.bg-404 {
  background: url('src/assets/404.png');
  background-size: contain;
}

.bg-form {
  background: url('src/assets/form.png');
  background-size: cover;
}

.bg-edit {
  background: url('src/assets/edit.png');
  background-size: contain;
}

.text-404 {
  font-size: 150px !important;
}

.bg-main {
  background: url('src/assets/main.png');
  background-size: cover;
}

.border-primary-1 {
  border-color: #ffa919 !important;
}

.border-primary-1:hover,
.border-primary-1:focus,
.border-primary-1:active,
.border-primary-1.active {
  border-color: #A17914 !important;
}

.btn.disabled,
.btn:disabled,
fieldset:disabled .btn {
  background-color: #999 !important;
  border-color: #999 !important;
}

.scrollable {
  max-height: 80vh;
  overflow-y: auto;
}

.scrollable::-webkit-scrollbar {
  width: 0;
  /* Ancho de la barra de desplazamiento */
}

/* Opcional: Estilos adicionales para personalizar la apariencia de la barra de desplazamiento */
.scrollable::-webkit-scrollbar-track {
  background-color: transparent;
  /* Color del fondo de la barra de desplazamiento */
}

.scrollable::-webkit-scrollbar-thumb {
  background-color: transparent;
  /* Color del 'pulgón' de la barra de desplazamiento */
}

.border-dashed {
  border-style: dashed !important;
}

.form-control:focus {
  border-color: #FFFF00;
  box-shadow: 0 0 0 0.25rem rgba(0, 0, 0, 0.25);
}

.form-switch .form-check-input:focus {
  --bs-form-switch-bg: url(./assets/point.svg) !important;
}

.form-check-input:checked {
  background-color: #e6e6e6 !important;
  border-color: #e6e6e6 !important;
}

.form-check-input:focus {
  border-color: #FFFF00;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(0, 0, 0, 0.25);
}

.main-img {
  max-height: 60vh;
}

.vh-90 {
  height: 90vh;
}

.gradient-bg-animation {
  height: 60px;
  background: rgb(189, 189, 189);
  background: linear-gradient(to right, #ffa919, #000000, #FFFF00);
  background-size: 300% 100%;
  animation: gradient 15s ease infinite;
}


@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}